Class: Sketchup::EdgeUse
Overview
The EdgeUse class defines how an Edge is used in the definition of a Face.
Instance Method Summary # collapse
-
#edge ⇒ Sketchup::Edge
The edge method is used to retrieve the edge for the edge use.
-
#end_vertex_normal ⇒ Geom::Vector3d
The end_vertex_normal method is used to retrieve the vertex normal for the end point of this edgeuse.
-
#face ⇒ Sketchup::Face
The face method is used to retrieve the face used by this edge use.
-
#loop ⇒ Sketchup::Loop
The loop method is used to retrieve the loop for this edge use.
-
#next ⇒ Sketchup::EdgeUse
The next method is used to retrieve the next edge use in a loop.
-
#partners ⇒ Array<Sketchup::EdgeUse>
The partners method is used to retrieve all of the partner edge uses that uses the same edge.
-
#previous ⇒ Sketchup::EdgeUse
The previous method is used to retrieve the previous edge use in a loop.
-
#reversed? ⇒ Boolean
The reversed? method is used to determine if the edge direction is opposite of the edge use direction.
-
#start_vertex_normal ⇒ Geom::Vector3d
The start_vertex_normal method is used to retrieve the vertex normal for the start point of this edgeuse.
Methods inherited from Entity
#add_observer, #attribute_dictionaries, #attribute_dictionary, #delete_attribute, #deleted?, #entityID, #get_attribute, #inspect, #model, #parent, #persistent_id, #remove_observer, #set_attribute, #to_s, #typename, #valid?
Instance Method Details
↑ #edge ⇒ Sketchup::Edge
The edge method is used to retrieve the edge for the edge use.
↑ #end_vertex_normal ⇒ Geom::Vector3d
The end_vertex_normal method is used to retrieve the vertex normal for the end point of this edgeuse.
↑ #face ⇒ Sketchup::Face
The face method is used to retrieve the face used by this edge use.
↑ #loop ⇒ Sketchup::Loop
The loop method is used to retrieve the loop for this edge use.
↑ #next ⇒ Sketchup::EdgeUse
The next method is used to retrieve the next edge use in a loop.
↑ #partners ⇒ Array<Sketchup::EdgeUse>
The partners method is used to retrieve all of the partner edge uses that uses the same edge.
↑ #previous ⇒ Sketchup::EdgeUse
The previous method is used to retrieve the previous edge use in a loop.
↑ #reversed? ⇒ Boolean
The reversed? method is used to determine if the edge direction is opposite of the edge use direction. The edge use direction is the same as the loop it belongs to.
↑ #start_vertex_normal ⇒ Geom::Vector3d
The start_vertex_normal method is used to retrieve the vertex normal for the start point of this edgeuse.